<?php

namespace Anyone\Onlyone\Repositories\Eloquent;

use Anyone\Onlyone\Interfaces\MasterRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class MasterRepository extends BaseRepository implements MasterRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('anyone.onlyone.master.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('anyone.onlyone.master.model.model');
    }
}
